Subject: [SIGTRAN] SUA: Regarding AS Pending Buffer Handling when Tt(r) expires

From: santhanakrishnan <[email-masked]>
Date: Wed, 08 Feb 2006 19:39:51 +0530

Hello all,

In RFC 3868 the sections 1.5.1 and 4.3.2 looks like contradicting for the
Handling of buffered messages at SGP for an AS when Tt(r) timer (Pending
timer) expires.

Sec 1.5.1 Says:  The SGP will buffer the message destined for this AS for a
time Tt(r) or until an ASP becomes available. When no ASP becomes available
before expiry of Tt(r), the SGP will flush the buffered messages and
initiate the appropriate return or refusal procedures.

            This means that when AS moves from Pending to Inactive/Down
after Tt(r) expiry, then the buffered messages are HANDLED. Appropriate
return, refusal procedures are initiated.

Section 4.3.2 Says:  If T(r) expires before an ASP becomes ASP-ACTIVE, and
the SGP has no other alternative, the SGP may stop queuing messages and
discard all previously queued messages. The AS will move to the AS-INACTIVE
state if at least one ASP is in ASP-INACTIVE state, otherwise it will move
to AS-DOWN state.

            This means that when AS moves from Pending to Inactive/Down
after Tt(r) expiry, then the buffered messages at SGP may be DISCARDED.

Which of these should be followed as per the RFC? Does the RFC enforce on
any of these statements?

regards,

-Santhanakrishnan

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Barry Nagelberg" <[email-masked]>
Date: Wed, 8 Feb 2006 12:57:16 -0500

Santhanakrishnan,

I agree that there seems to be a contradiction here. Sounds like a candidate for the IG ...

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of santhanakrishnan
Sent: Wednesday, February 08, 2006 9:10 AM
To: [email-masked]
Subject: [SIGTRAN] SUA: Regarding AS Pending Buffer Handling when Tt(r) expires

Hello all,

In RFC 3868 the sections 1.5.1 and 4.3.2 looks like contradicting for the Handling of buffered messages at SGP for an AS
when Tt(r) timer (Pending timer) expires.

Sec 1.5.1 Says:  The SGP will buffer the message destined for this AS for a time Tt(r) or until an ASP becomes
available. When no ASP becomes available before expiry of Tt(r), the SGP will flush the buffered messages and initiate
the appropriate return or refusal procedures.

            This means that when AS moves from Pending to Inactive/Down after Tt(r) expiry, then the buffered messages
are HANDLED. Appropriate return, refusal procedures are initiated.

Section 4.3.2 Says:  If T(r) expires before an ASP becomes ASP-ACTIVE, and the SGP has no other alternative, the SGP may
stop queuing messages and discard all previously queued messages. The AS will move to the AS-INACTIVE state if at least
one ASP is in ASP-INACTIVE state, otherwise it will move to AS-DOWN state.

            This means that when AS moves from Pending to Inactive/Down after Tt(r) expiry, then the buffered messages
at SGP may be DISCARDED.

Which of these should be followed as per the RFC? Does the RFC enforce on any of these statements?

regards,
-Santhanakrishnan

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 8 Feb 2006 12:05:25 -0700

santhanakrishnan,

I don't see a contradiction: section 1.5.1 _is_ an "other alternative"
to simple discard in section 4.3.2.

--brian

santhanakrishnan wrote:                         (Wed, 08 Feb 2006 19:39:51)
> 
>    Hello all,
> 
> 
>    In  RFC 3868 the sections 1.5.1 and 4.3.2 looks like contradicting for
>    the  Handling  of  buffered messages at SGP for an AS when Tt(r) timer
>    (Pending timer) expires.
> 
> 
>    Sec  1.5.1 Says:  The SGP will buffer the message destined for this AS
>    for  a  time  Tt(r)  or  until  an  ASP becomes available. When no ASP
>    becomes  available  before  expiry  of  Tt(r),  the SGP will flush the
>    buffered  messages  and  initiate  the  appropriate  return or refusal
>    procedures.
> 
> 
>                  This   means   that   when  AS  moves  from  Pending  to
>    Inactive/Down  after  Tt(r)  expiry,  then  the  buffered messages are
>    HANDLED. Appropriate return, refusal procedures are initiated.
> 
> 
>    Section 4.3.2 Says:  If T(r) expires before an ASP becomes ASP-ACTIVE,
>    and  the  SGP  has  no  other  alternative,  the  SGP may stop queuing
>    messages  and discard all previously queued messages. The AS will move
>    to the AS-INACTIVE state if at least one ASP is in ASP-INACTIVE state,
>    otherwise it will move to AS-DOWN state.
> 
> 
>                  This   means   that   when  AS  moves  from  Pending  to
>    Inactive/Down  after  Tt(r)  expiry, then the buffered messages at SGP
>    may be DISCARDED.
> 
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/